Subject: Re: [PATCH] prism54: wpa support for fullmac cards

From: Dan Williams <[email-masked]>
Date: Wed, 04 Oct 2006 07:40:11 -0400

On Wed, 2006-10-04 at 12:38 +0200, Jiri Benc wrote:
> On Tue, 3 Oct 2006 14:57:33 +0200, [email-masked] wrote:
> > This patch (prism54-en-wpa3.patch) brings WPA/WPA2(RSN) with 
> > TKIP-Cipher to everyone with a FULLMAC Prism GT/Indigo/Duette card.
> > I removed all the parts(e.g.: Hostapd Support) which are not relevant for 
> > wpa_supplicant (client/managed mode).
> 
> Are you proposing a patch that removes AP support from the driver or did
> I understand it wrong?

I believe it adds the support back in, just using standard WE ioctls
like ENCODEEXT and AUTH rather than the custom HostAP ones...  which
brings up the question whether the hostapd driver for wext (is there
such a thing?) works well enough.

Dan

> Thanks,
>  Jiri